#
# spec file for package libt3window
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libt3window
%define lname	libt3window0
Version:        0.4.0
Release:        bp154.1.28
Summary:        The Tilde Toolkit's window-based terminal program library
License:        GPL-3.0-only
Group:          Development/Libraries/C and C++
URL:            https://os.ghalkes.nl/t3/libt3window.html

#Git-Clone:	https://github.com/gphalkes/t3widget
Source:         https://os.ghalkes.nl/dist/%name-%version.tar.bz2
Source2:        https://os.ghalkes.nl/dist/%name-%version.tar.bz2.sig
Source3:        %name.keyring
BuildRequires:  fdupes
BuildRequires:  gettext-tools
BuildRequires:  libtool
BuildRequires:  libunistring-devel
BuildRequires:  ncurses-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libtranscript) >= 0.2.2

%description
libt3window library provides functions for manipulating the terminal
and for creating (possibly overlapping) windows on a terminal.
libt3window can be used instead of (n)curses for drawing on the
terminal.

%package -n %lname
Summary:        The Tilde Toolkit's window-based terminal program library
Group:          System/Libraries

%description -n %lname
libt3window library provides functions for manipulating the terminal
and for creating (possibly overlapping) windows on a terminal.
libt3window can be used instead of (n)curses for drawing on the
terminal.

%package devel
Summary:        Development files for libt3window, a library for window-based terminal drawing
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libt3window library provides functions for manipulating the terminal
and for creating (possibly overlapping) windows on a terminal.
libt3window can be used instead of (n)curses for drawing on the
terminal.

This subpackage contains libraries and header files for developing
applications that want to make use of libt3window.

%prep
%setup -q

%build
export CC=gcc
%configure --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la
%fdupes %buildroot/%_prefix

%post   -p /sbin/ldconfig -n %lname
%postun -p /sbin/ldconfig -n %lname

%files -n %lname
%defattr(-,root,root)
%_libdir/libt3window.so.0*
%doc COPYING

%files devel
%defattr(-,root,root)
%_includedir/t3/
%_libdir/libt3window.so
%_libdir/pkgconfig/libt3window.pc
%_docdir/%name/
%exclude %_docdir/%name/COPYING

%changelog
* Thu Dec 19 2019 Jan Engelhardt <jengelh@inai.de>
- Update eto release 0.4.0
  * This release allows explicitly unsetting the binary
    attributes when combining attributes using
    t3_term_combine_attrs.
* Mon Jan  7 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 0.3.2
  * Allow compilation in C++ with pre C++11 compilers.
  * A new function is provided which determines the width of a
    string with explicit length.
  * Replacement functions for determining the length are provided
    that return a size_t instead of an int.
  * Includes a C++ class which wraps a t3_window_t pointer and
    forwards all the functions. Otherwise behaves like
    std::unique_ptr, to make memory management simpler.
  * Prefer to use Unicode line-drawing characters if they are
    available. Some terminals explicitly disable the alternate
    character set if UTF-8 encoding is enabled, resulting in bad
    output.
  * Don't use the alternate characterset for line drawing if the
    terminal type is ansi, or if the smacs capability is not
    defined.
  * Internal tables were updated to Unicode 10.0.
  * Terminal size detection is done based on cursor position
    reporting if no other information is available.
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 0.2.3
  * Re-release of version 0.2.2 to update the configure script.
* Mon Jul 21 2014 jengelh@inai.de
- Update to new upstream release 0.2.2
  * This release fixes the handling of the nul character.
* Fri Feb  7 2014 dimstar@opensuse.org
- Declare CC=gcc to ensure we build with gcc; seems make falls back
  to 'c99' otherwise (instead of requiring posix_cc).
* Mon Jun 10 2013 jengelh@inai.de
- Initial package (version 0.2.1) for build.opensuse.org
